/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

/*MIS ESTILOS*/
/*body {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: space-between;
    border: 2px solid red;
    height: 100%;
}
header, footer {
    background-color: grey;
    padding: 30px;
}
main {
    padding: 30px;
    border: 2px solid blue;
    margin: 0px;
    height: 100%;
}*/

html, body { height: 100%;}
body {
    min-height: 100%;
    display: flex;
    flex-direction: column;
}
header, footer {
    background-color: grey;
    box-sizing: border-box;
}
main {
    flex: 1;
}
main, header, footer {
    padding: 30px;
}
p {
    font-size: 40px;
    line-height: 160px;
}



